Bug 1121428 - (CVE-2019-5747) VUL-0: CVE-2019-5747: busybox: out of bounds read in udhcp components
(CVE-2019-5747)
VUL-0: CVE-2019-5747: busybox: out of bounds read in udhcp components
Status: RESOLVED INVALID
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P5 - None : Minor
: ---
Assigned To: Ihno Krumreich
Security Team bot
https://smash.suse.de/issue/222536/
CVSSv3.1:SUSE:CVE-2019-5747:3.5:(AV:A...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-01-10 10:11 UTC by Karol Babioch
Modified: 2022-11-28 14:31 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karol Babioch 2019-01-10 10:11:31 UTC
An issue was discovered in BusyBox through 1.30.0. An out of bounds read in udhcp components (consumed by the DHCP server, client, and/or relay) might allow a remote attacker to leak sensitive information from the stack by sending a crafted DHCP message. This is related to assurance of a 4-byte length when decoding DHCP_SUBNET. NOTE: this issue exists because of an incomplete fix for CVE-2018-20679.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-5747
http://www.cvedetails.com/cve/CVE-2019-5747/
Comment 1 Karol Babioch 2019-01-10 10:12:38 UTC
We are not affected by this, since we don't have the patch for CVE-2018-20679 (bsc#1121426) applied yet.
Comment 2 Swamp Workflow Management 2022-01-20 14:19:59 UTC
openSUSE-SU-2022:0135-1: An update that fixes 27 vulnerabilities is now available.

Category: security (important)
Bug References: 1064976,1064978,1069412,1099260,1099263,1102912,1121426,1121428,1184522,1192869,951562,970662,970663,991940
CVE References: CVE-2011-5325,CVE-2015-9261,CVE-2016-2147,CVE-2016-2148,CVE-2016-6301,CVE-2017-15873,CVE-2017-15874,CVE-2017-16544,CVE-2018-1000500,CVE-2018-1000517,CVE-2018-20679,CVE-2019-5747,CVE-2021-28831,CVE-2021-42373,CVE-2021-42374,CVE-2021-42375,CVE-2021-42376,CVE-2021-42377,CVE-2021-42378,CVE-2021-42379,CVE-2021-42380,CVE-2021-42381,CVE-2021-42382,CVE-2021-42383,CVE-2021-42384,CVE-2021-42385,CVE-2021-42386
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    busybox-1.34.1-4.9.1
Comment 3 Swamp Workflow Management 2022-01-20 14:24:42 UTC
SUSE-SU-2022:0135-1: An update that fixes 27 vulnerabilities is now available.

Category: security (important)
Bug References: 1064976,1064978,1069412,1099260,1099263,1102912,1121426,1121428,1184522,1192869,951562,970662,970663,991940
CVE References: CVE-2011-5325,CVE-2015-9261,CVE-2016-2147,CVE-2016-2148,CVE-2016-6301,CVE-2017-15873,CVE-2017-15874,CVE-2017-16544,CVE-2018-1000500,CVE-2018-1000517,CVE-2018-20679,CVE-2019-5747,CVE-2021-28831,CVE-2021-42373,CVE-2021-42374,CVE-2021-42375,CVE-2021-42376,CVE-2021-42377,CVE-2021-42378,CVE-2021-42379,CVE-2021-42380,CVE-2021-42381,CVE-2021-42382,CVE-2021-42383,CVE-2021-42384,CVE-2021-42385,CVE-2021-42386
JIRA References: 
Sources used:
SUSE Manager Server 4.1 (src):    busybox-1.34.1-4.9.1
SUSE Manager Retail Branch Server 4.1 (src):    busybox-1.34.1-4.9.1
SUSE Manager Proxy 4.1 (src):    busybox-1.34.1-4.9.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    busybox-1.34.1-4.9.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    busybox-1.34.1-4.9.1
SUSE Linux Enterprise Server for SAP 15 (src):    busybox-1.34.1-4.9.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    busybox-1.34.1-4.9.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    busybox-1.34.1-4.9.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    busybox-1.34.1-4.9.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    busybox-1.34.1-4.9.1
SUSE Linux Enterprise Server 15-LTSS (src):    busybox-1.34.1-4.9.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    busybox-1.34.1-4.9.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    busybox-1.34.1-4.9.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    busybox-1.34.1-4.9.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    busybox-1.34.1-4.9.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    busybox-1.34.1-4.9.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    busybox-1.34.1-4.9.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    busybox-1.34.1-4.9.1
SUSE Enterprise Storage 7 (src):    busybox-1.34.1-4.9.1
SUSE Enterprise Storage 6 (src):    busybox-1.34.1-4.9.1
SUSE CaaS Platform 4.0 (src):    busybox-1.34.1-4.9.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 4 Swamp Workflow Management 2022-02-14 14:23:41 UTC
SUSE-SU-2022:0135-2: An update that fixes 27 vulnerabilities is now available.

Category: security (important)
Bug References: 1064976,1064978,1069412,1099260,1099263,1102912,1121426,1121428,1184522,1192869,951562,970662,970663,991940
CVE References: CVE-2011-5325,CVE-2015-9261,CVE-2016-2147,CVE-2016-2148,CVE-2016-6301,CVE-2017-15873,CVE-2017-15874,CVE-2017-16544,CVE-2018-1000500,CVE-2018-1000517,CVE-2018-20679,CVE-2019-5747,CVE-2021-28831,CVE-2021-42373,CVE-2021-42374,CVE-2021-42375,CVE-2021-42376,CVE-2021-42377,CVE-2021-42378,CVE-2021-42379,CVE-2021-42380,CVE-2021-42381,CVE-2021-42382,CVE-2021-42383,CVE-2021-42384,CVE-2021-42385,CVE-2021-42386
JIRA References: 
Sources used:
SUSE Linux Enterprise Realtime Extension 15-SP2 (src):    busybox-1.34.1-4.9.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2022-05-18 13:18:49 UTC
openSUSE-SU-2022:0135-1: An update that fixes 32 vulnerabilities is now available.

Category: security (important)
Bug References: 1064976,1064978,1069412,1099260,1099263,1102912,1121426,1121428,1184522,1192869,1198676,1198677,1198678,1198679,1198680,1198703,951562,970662,970663,991940
CVE References: CVE-2011-5325,CVE-2015-9261,CVE-2016-2147,CVE-2016-2148,CVE-2016-6301,CVE-2017-15873,CVE-2017-15874,CVE-2017-16544,CVE-2018-1000500,CVE-2018-1000517,CVE-2018-20679,CVE-2019-5747,CVE-2021-28831,CVE-2021-42373,CVE-2021-42374,CVE-2021-42375,CVE-2021-42376,CVE-2021-42377,CVE-2021-42378,CVE-2021-42379,CVE-2021-42380,CVE-2021-42381,CVE-2021-42382,CVE-2021-42383,CVE-2021-42384,CVE-2021-42385,CVE-2021-42386,CVE-2022-21465,CVE-2022-21471,CVE-2022-21487,CVE-2022-21488,CVE-2022-21491
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    busybox-1.34.1-4.9.1, virtualbox-6.1.34-lp153.2.27.2, virtualbox-kmp-6.1.34-lp153.2.27.1
Comment 8 Swamp Workflow Management 2022-11-11 20:56:33 UTC
SUSE-SU-2022:3959-1: An update that fixes 27 vulnerabilities is now available.

Category: security (important)
Bug References: 1064976,1064978,1069412,1099260,1099263,1102912,1121426,1121428,1184522,1192869,951562,970662,970663,991940
CVE References: CVE-2011-5325,CVE-2015-9261,CVE-2016-2147,CVE-2016-2148,CVE-2016-6301,CVE-2017-15873,CVE-2017-15874,CVE-2017-16544,CVE-2018-1000500,CVE-2018-1000517,CVE-2018-20679,CVE-2019-5747,CVE-2021-28831,CVE-2021-42373,CVE-2021-42374,CVE-2021-42375,CVE-2021-42376,CVE-2021-42377,CVE-2021-42378,CVE-2021-42379,CVE-2021-42380,CVE-2021-42381,CVE-2021-42382,CVE-2021-42383,CVE-2021-42384,CVE-2021-42385,CVE-2021-42386
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    busybox-1.35.0-150400.3.3.1
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    busybox-1.35.0-150400.3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2022-11-28 14:31:46 UTC
SUSE-SU-2022:4253-1: An update that fixes 28 vulnerabilities is now available.

Category: security (important)
Bug References: 1029961,1064976,1064978,1069412,1099260,1099263,1102912,1121426,1121428,1184522,1191514,1192869,914660,951562,970662,970663,991940
CVE References: CVE-2011-5325,CVE-2014-9645,CVE-2015-9261,CVE-2016-2147,CVE-2016-2148,CVE-2016-6301,CVE-2017-15873,CVE-2017-15874,CVE-2017-16544,CVE-2018-1000500,CVE-2018-1000517,CVE-2018-20679,CVE-2019-5747,CVE-2021-28831,CVE-2021-42373,CVE-2021-42374,CVE-2021-42375,CVE-2021-42376,CVE-2021-42377,CVE-2021-42378,CVE-2021-42379,CVE-2021-42380,CVE-2021-42381,CVE-2021-42382,CVE-2021-42383,CVE-2021-42384,CVE-2021-42385,CVE-2021-42386
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    busybox-1.35.0-4.3.1
SUSE OpenStack Cloud 9 (src):    busybox-1.35.0-4.3.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    busybox-1.35.0-4.3.1
SUSE Linux Enterprise Server 12-SP5 (src):    busybox-1.35.0-4.3.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    busybox-1.35.0-4.3.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    busybox-1.35.0-4.3.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    busybox-1.35.0-4.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.